### Method

# Gtk ListStore set_column_types

#### Declaration [src]

    void
    gtk_list_store_set_column_types (
      GtkListStore* list_store,
      int n_columns,
      GType* types
    )

#### Description [src]

This function is meant primarily for `GObject`s that inherit from `GtkListStore`, and should only be used when constructing a new `GtkListStore`. It will not function after a row has been added, or a method on the `GtkTreeModel` interface is called.

#### Parameters

`n_columns` | `int`
| Number of columns for the list store.
`types` | An array of `GType`
| An array length n of `GType`s.
| The length of the array is specified in the `n_columns` argument.
| The data is owned by the caller of the function.